<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sun-cmp-mappings PUBLIC "-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 OR Mapping //EN" "http://www.sun.com/software/sunone/appserver/dtds/sun-cmp-mapping_1_0.dtd">
<sun-cmp-mappings>
  <sun-cmp-mapping>
    <schema>specjschema</schema>
    <entity-mapping>
      <ejb-name>OrderLineEnt</ejb-name>
      <table-name>O_orderline</table-name>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>O_orderline.ol_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>totalValue</field-name>
        <column-name>O_orderline.ol_total_value</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>itemId</field-name>
        <column-name>O_orderline.ol_i_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>orderId</field-name>
        <column-name>O_orderline.ol_o_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>quantity</field-name>
        <column-name>O_orderline.ol_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>shipDate</field-name>
        <column-name>O_orderline.ol_ship_date</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>olineStatus</field-name>
        <column-name>O_orderline.ol_status</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>msrpAtPurchase</field-name>
        <column-name>O_orderline.ol_msrp</column-name>
      </cmp-field-mapping>
      <consistency>
	<lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>OrderEnt</ejb-name>
      <table-name>O_orders</table-name>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>O_orders.o_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>discount</field-name>
        <column-name>O_orders.o_discount</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>orderLineCount</field-name>
        <column-name>O_orders.o_ol_cnt</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>customerId</field-name>
        <column-name>O_orders.o_c_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>total</field-name>
        <column-name>O_orders.o_total</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>entryDate</field-name>
        <column-name>O_orders.o_entry_date</column-name>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>orderStatus</field-name>
        <column-name>O_orders.o_status</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>shipDate</field-name>
        <column-name>O_orders.o_ship_date</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>ordLines</cmr-field-name>
        <column-pair>
          <column-name>O_orders.o_id</column-name>
          <column-name>O_orderline.ol_o_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
      <consistency>
	 <lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>ItemEnt</ejb-name>
      <table-name>O_item</table-name>
      <cmp-field-mapping>
        <field-name>discount</field-name>
        <column-name>O_item.i_discount</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>name</field-name>
        <column-name>O_item.i_name</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>O_item.i_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>description</field-name>
        <column-name>O_item.i_desc</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>price</field-name>
        <column-name>O_item.i_price</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>category</field-name>
        <column-name>O_item.i_category</column-name>
      </cmp-field-mapping>
    </entity-mapping>
  </sun-cmp-mapping>
</sun-cmp-mappings>
